<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_020048b1b65987" . "544bdb5f9afa692" . "a0f" => base64_decode("TnVtUm93cyBpcyBub3Qgc3Vw" . "cG9ydGVk"), "_a591754a8dd" . "cdbda9c80f1d" . "b4d911e14" => base64_decode("aXN" . "fbn" . "Vsb" . "A=="), "_78aadcc2e" . "8dfecef37e" . "1fe6d5ffbc" . "dbb" => base64_decode("c3Fsc3J2X2ZldGNo" . "X2FycmF5"), "_d64c6254864cf96656eabc" . "ea4c48fe51" => base64_decode("c3Fsc3J2X2h" . "hc19yb3dz"), "_9a1d01ea56101db475f6e198f06a4" . "f9d" => base64_decode("c3Fsc3J2X2ZyZWV" . "fc3RtdA=="));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_78aadcc2e8dfec" . "ef37e1fe6d5ffbc" . "dbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_78aadcc2e8dfecef37e1f" . "e6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_020048b1b65987544bdb5f9" . "afa692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a591754a8ddcdbda9c80f1db4d" . "911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d64c6254864cf96656eabcea4c48f" . "e51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_9a1d01ea56101db475f6e1" . "98f06a4f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}